MySQL 8.0.29 - Woocommerce InnoDB corruption

Hedloff

Well-Known Member
Jun 7, 2004
185
11
168
Up north!
cPanel Access Level
DataCenter Provider
What's the best way to downgrade the servers to the last used mysql version?

We continue to have this issue on multiple servers and need to restore from backup each time.

Causing alot of missing data and angry customers!
 
Last edited:

cPRex

Jurassic Moderator
Staff member
Oct 19, 2014
11,784
1,874
363
cPanel Access Level
Root Administrator
MySQL 8.0.29 was released in April 2022, so there isn't anything we can do on our side at this point. MySQL updates are handled directly from their repositories, so any cPanel server that is using MySQL 8 would have version 8.0.29 for some time already.

It's also worth noting that this specific bug is set to private on the MySQL end: MySQL Bugs: Access denied
 

Hedloff

Well-Known Member
Jun 7, 2004
185
11
168
Up north!
cPanel Access Level
DataCenter Provider
Well, can cause issues is better than the whole MySQL will go corrupt and needs to be restored from backup. Not everyone has backup either, so what kind of issue have others faced with a downgrade?
We just updated rest of our servers now in June because of the security update in cPanel!